POST/market

Get Market

This endpoint retrieves a list of markets available in the LARBAR API database for rate retrieval.
POST/market

Parameter Details

NameInTypeRequiredDescription
» searchKeybodystringRequiredKeyword to search market, e.g., city or district name.
» countrybodystringRequiredName of the country where the market is located.
» statebodystringOptionalName of the state where the market is located.

Responses

StatusMeaningDescriptionSchema
200OKSuccess
204No ContentNo ContentNone
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity ExpiredNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /market \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "searchKey": "Staples",
  "country": "United States",
  "state": ""
}

Example responses

200 Response
{
  "searchKey": "Staples, Minnesota, United States",
  "websiteCode": 2,
  "country": "United States",
  "state": ""
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.